diff --git a/web/pgadmin/misc/cloud/static/js/CloudWizard.jsx b/web/pgadmin/misc/cloud/static/js/CloudWizard.jsx
index d176ba1aa..8da047d6f 100644
--- a/web/pgadmin/misc/cloud/static/js/CloudWizard.jsx
+++ b/web/pgadmin/misc/cloud/static/js/CloudWizard.jsx
@@ -10,21 +10,21 @@
 import gettext from 'sources/gettext';
 import url_for from 'sources/url_for';
 import React from 'react';
-import { Box, Table, TableBody, TableCell, TableHead, TableRow, Paper } from '@material-ui/core';
+import { Box, Paper } from '@material-ui/core';
 import { makeStyles } from '@material-ui/core/styles';
 import Wizard from '../../../../static/js/helpers/wizard/Wizard';
 import WizardStep from '../../../../static/js/helpers/wizard/WizardStep';
-import {FormFooterMessage, MESSAGE_TYPE, InputToggle } from '../../../../static/js/components/FormComponents';
+import {FormFooterMessage, MESSAGE_TYPE } from '../../../../static/js/components/FormComponents';
 import getApiInstance from '../../../../static/js/api_instance';
-import SchemaView from '../../../../static/js/SchemaView';
 import Alertify from 'pgadmin.alertifyjs';
 import PropTypes from 'prop-types';
-import {CloudInstanceDetailsSchema, CloudDBCredSchema, DatabaseSchema} from './cloud_db_details_schema.ui';
-import { isEmptyString } from 'sources/validators';
 import pgAdmin from 'sources/pgadmin';
-import { getNodeAjaxOptions, getNodeListById } from 'pgbrowser/node_ajax';
-import { commonTableStyles } from '../../../../static/js/Theme';
-import clsx from 'clsx';
+import {ToggleButtons, FinalSummary} from './cloud_components';
+import { PrimaryButton } from '../../../../static/js/components/Buttons';
+import {AwsCredentials, AwsInstanceDetails, AwsDatabaseDetails, validateCloudStep1,
+  validateCloudStep2, validateCloudStep3} from './aws';
+import {BigAnimalInstance, BigAnimalDatabase, validateBigAnimal,
+  validateBigAnimalStep2, validateBigAnimalStep3} from './biganimal';
 
 const useStyles = makeStyles(() =>
   ({
@@ -33,44 +33,49 @@ const useStyles = makeStyles(() =>
       display: 'flex',
     },
     messagePadding: {
-      flex: 2.5
+      paddingTop: '10px',
+      flex: 2.5,
+    },
+    buttonMarginEDB: {
+      position: 'relative',
+      top: '20%',
     },
     toggleButton: {
       height: '100px',
     },
-    table: {
-      marginLeft: '4px',
-      marginTop: '12px',
+    summaryContainer: {
+      flexGrow: 1,
+      minHeight: 0,
+      overflow: 'auto',
     },
-    tableCellHeading: {
-      fontWeight: 'bold',
-      paddingLeft: '9px',
+    boxText: {
+      paddingBottom: '5px'
     },
-    tableCell: {
-      padding: '9px',
-      paddingLeft: '11px',
-    }
   }),
 );
 
 export default function CloudWizard({ nodeInfo, nodeData }) {
   const classes = useStyles();
-  const tableClasses = commonTableStyles();
 
   var steps = ['Cloud Provider', 'Credentials', 'Instance Specification', 'Database Details', 'Review'];
   const [currentStep, setCurrentStep] = React.useState('');
   const [selectionVal, setCloudSelection] = React.useState('');
   const [errMsg, setErrMsg] = React.useState('');
-  const [cloudInstanceDetailsInstance, setCloudInstanceDetailsInstance] = React.useState();
-  const [cloudDBCredInstance, setCloudDBCredInstance] = React.useState();
-  const [cloudDBInstance, setCloudDBInstance] = React.useState();
   const [cloudInstanceDetails, setCloudInstanceDetails] = React.useState({});
   const [cloudDBCred, setCloudDBCred] = React.useState({});
   const [cloudDBDetails, setCloudDBDetails] = React.useState({});
   const [callRDSAPI, setCallRDSAPI] = React.useState({});
   const [hostIP, setHostIP] = React.useState('127.0.0.1/32');
+  const [cloudProvider, setCloudProvider] = React.useState('');
+  const [verificationIntiated, setVerificationIntiated] = React.useState(false);
+  const [bigAnimalInstanceData, setBigAnimalInstanceData] = React.useState({});
+  const [bigAnimalDatabaseData, setBigAnimalDatabaseData] = React.useState({});
+
   const axiosApi = getApiInstance();
 
+  const [verificationURI, setVerificationURI] = React.useState('');
+  const [verificationCode, setVerificationCode] = React.useState('');
+
   React.useEffect(() => {
     let _url = url_for('cloud.get_host_ip') ;
     axiosApi.get(_url)
@@ -82,139 +87,33 @@ export default function CloudWizard({ nodeInfo, nodeData }) {
       .catch((error) => {
         Alertify.error(gettext(`Error while getting the host ip: ${error.response.data.errormsg}`));
       });
-  }, []);
-
-  React.useEffect(() => {
-    if (callRDSAPI == 2) {
-      const cloudDBInstanceSchema = new CloudInstanceDetailsSchema({
-        version: ()=>getNodeAjaxOptions('get_aws_db_versions', pgAdmin.Browser.Nodes['server'], nodeInfo, nodeData, {
-          useCache:false,
-          cacheNode: 'server',
-          customGenerateUrl: ()=>{
-            return url_for('cloud.get_aws_db_versions');
-          }
-        }),
-        getInstances: (engine, reload, options) =>
-        {
-          return new Promise((resolve, reject)=>{
-            const api = getApiInstance();
-            var _url = url_for('cloud.get_aws_db_instances') ;
-
-            if (engine) _url += '?eng_version=' + engine;
-            if (reload || options === undefined || options.length == 0) {
-              api.get(_url)
-                .then(res=>{
-                  let data = res.data.data;
-                  resolve(data);
-                })
-                .catch((err)=>{
-                  reject(err);
-                });
-            } else {
-              resolve(options);
-            }
-          });
-        },
-        instance_type: ()=>getNodeAjaxOptions('get_aws_db_instances', pgAdmin.Browser.Nodes['server'], nodeInfo, nodeData, {
-          useCache:false,
-          cacheNode: 'server',
-          customGenerateUrl: ()=>{
-            return url_for('cloud.get_aws_db_instances');
-          }
-        }),
-        server_groups: ()=>getNodeListById(pgAdmin.Browser.Nodes['server_group'], nodeInfo, nodeData),
-      }, {
-        gid: nodeInfo['server_group']._id,
-        hostIP: hostIP,
-      });
-      setCloudInstanceDetailsInstance(cloudDBInstanceSchema);
-    }
-  }, [callRDSAPI]);
-
-  React.useEffect(() => {
-    const cloudDBCredSchema = new CloudDBCredSchema({
-      regions: ()=>getNodeAjaxOptions('get_aws_regions', pgAdmin.Browser.Nodes['server'], nodeInfo, nodeData, {
-        useCache:false,
-        cacheNode: 'server',
-        customGenerateUrl: ()=>{
-          return url_for('cloud.get_aws_regions');
-        }
-      }),
-    });
-    setCloudDBCredInstance(cloudDBCredSchema);
-
-    const cloudDBSchema = new DatabaseSchema({
-      server_groups: ()=>getNodeListById(pgAdmin.Browser.Nodes['server_group'], nodeInfo, nodeData),
-    },
-    {
-      gid: nodeInfo['server_group']._id,
-    }
-    );
-    setCloudDBInstance(cloudDBSchema);
-
-  }, []);
+  }, [cloudProvider]);
 
   const wizardStepChange = (data) => {
     setCurrentStep(data.currentStep);
   };
 
-  const validateCloudStep1 = (cloudDBCred) => {
-    let isError = false;
-    if (isEmptyString(cloudDBCred.aws_access_key) || isEmptyString(cloudDBCred.aws_secret_access_key)) {
-      isError = true;
-    }
-    return isError;
-  };
-
-  const validateCloudStep2 = (cloudInstanceDetails, host_ip) => {
-    let isError = false;
-    if (isEmptyString(cloudInstanceDetails.aws_name) ||
-    isEmptyString(cloudInstanceDetails.aws_db_version) || isEmptyString(cloudInstanceDetails.aws_instance_type) ||
-    isEmptyString(cloudInstanceDetails.aws_storage_type)|| isEmptyString(cloudInstanceDetails.aws_storage_size)) {
-      isError = true;
-    }
-
-    if(cloudInstanceDetails.aws_storage_type == 'io1' && isEmptyString(cloudInstanceDetails.aws_storage_IOPS)) {
-      isError = true;
-    }
-    if (isEmptyString(cloudInstanceDetails.aws_public_ip)) cloudInstanceDetails.aws_public_ip = host_ip;
-    return isError;
-  };
-
-  const validateCloudStep3 = (cloudDBDetails) => {
-    let isError = false;
-    if (isEmptyString(cloudDBDetails.aws_db_name) ||
-    isEmptyString(cloudDBDetails.aws_db_username) || isEmptyString(cloudDBDetails.aws_db_password)) {
-      isError = true;
-    }
-    if (isEmptyString(cloudDBDetails.aws_db_port)) cloudDBDetails.aws_db_port = 5432;
-    if (isEmptyString(cloudDBDetails.gid)) cloudDBDetails.gid = nodeInfo['server_group']._id;
-    return isError;
-  };
-
-  const getStorageType = (cloudInstanceDetails) => {
-    let _storage_type = 'General Purpose SSD (gp2)',
-      _io1 = undefined;
-
-    if(cloudInstanceDetails.aws_storage_type == 'gp2') _storage_type = 'General Purpose SSD (gp2)';
-    else if(cloudInstanceDetails.aws_storage_type == 'io1') {
-      _storage_type = 'Provisioned IOPS SSD (io1)';
-      _io1 = cloudInstanceDetails.aws_storage_IOPS;
+  const onSave = () => {
+    var _url = url_for('cloud.deploy_on_cloud'),
+      post_data = {};
+
+    if (cloudProvider == 'rds') {
+      post_data = {
+        gid: nodeInfo.server_group._id,
+        cloud: cloudProvider,
+        secret: cloudDBCred,
+        instance_details:cloudInstanceDetails,
+        db_details: cloudDBDetails
+      };
+    } else {
+      post_data = {
+        gid: nodeInfo.server_group._id,
+        cloud: cloudProvider,
+        instance_details:bigAnimalInstanceData,
+        db_details: bigAnimalDatabaseData
+      };
     }
-    else if(cloudInstanceDetails.aws_storage_type == 'magnetic') _storage_type = 'Magnetic';
-
-    return [_io1, _storage_type];
-  };
 
-  const onSave = () => {
-    var _url = url_for('cloud.deploy_on_cloud');
-    const post_data = {
-      gid: nodeInfo.server_group._id,
-      cloud: selectionVal,
-      secret: cloudDBCred,
-      instance_details:cloudInstanceDetails,
-      db_details: cloudDBDetails
-    };
     axiosApi.post(_url, post_data)
       .then((res) => {
         pgAdmin.Browser.Events.trigger('pgadmin:browser:tree:add', res.data.data.node, {'server_group': nodeInfo['server_group']});
@@ -228,21 +127,43 @@ export default function CloudWizard({ nodeInfo, nodeData }) {
 
   const disableNextCheck = () => {
     setCallRDSAPI(currentStep);
-    let isError = false;
-    switch (currentStep) {
-    case 0:
-      setCloudSelection('rds');
-      break;
-    case 1:
-      isError = validateCloudStep1(cloudDBCred);
-      break;
-    case 2:
-      isError = validateCloudStep2(cloudInstanceDetails, hostIP);
-      break;
-    case 3:
-      isError = validateCloudStep3(cloudDBDetails);
+    let isError = (cloudProvider == '');
+    switch(cloudProvider) {
+    case 'rds':
+      switch (currentStep) {
+      case 0:
+        setCloudSelection('rds');
+        break;
+      case 1:
+        isError = validateCloudStep1(cloudDBCred);
+        break;
+      case 2:
+        isError = validateCloudStep2(cloudInstanceDetails, hostIP);
+        break;
+      case 3:
+        isError = validateCloudStep3(cloudDBDetails, nodeInfo);
+        break;
+      default:
+        break;
+      }
       break;
-    default:
+    case 'biganimal':
+      switch (currentStep) {
+      case 0:
+        setCloudSelection('biganimal');
+        break;
+      case 1:
+        isError = !verificationIntiated;
+        break;
+      case 2:
+        isError = validateBigAnimalStep2(bigAnimalInstanceData);
+        break;
+      case 3:
+        isError = validateBigAnimalStep3(bigAnimalDatabaseData, nodeInfo);
+        break;
+      default:
+        break;
+      }
       break;
     }
     return isError;
@@ -250,9 +171,9 @@ export default function CloudWizard({ nodeInfo, nodeData }) {
 
   const onBeforeNext = (activeStep) => {
     return new Promise((resolve, reject)=>{
-      if(activeStep == 1) {
+      if(activeStep == 1 && cloudProvider == 'rds') {
         setErrMsg([MESSAGE_TYPE.INFO, 'Validating credentials...']);
-        var _url = url_for('cloud.verify_credentials');
+        var _url = url_for('rds.verify_credentials');
         const post_data = {
           cloud: selectionVal,
           secret: cloudDBCred,
@@ -271,76 +192,69 @@ export default function CloudWizard({ nodeInfo, nodeData }) {
             setErrMsg([MESSAGE_TYPE.ERROR, 'Error while checking cloud credentials']);
             reject();
           });
-      } else {
+      } else if(activeStep == 0 && cloudProvider == 'biganimal') {
+        setErrMsg([MESSAGE_TYPE.INFO, 'Getting EDB BigAnimal verification URL...']);
+        validateBigAnimal()
+          .then((res) => {
+            setVerificationURI(res);
+            setVerificationCode(res.substring(res.indexOf('=')+1));
+            setErrMsg(['', '']);
+            resolve();
+          })
+          .catch((error) => {
+            setErrMsg([MESSAGE_TYPE.ERROR, gettext(error)]);
+            reject();
+          });
+      }
+      else {
         resolve();
       }
     });
   };
 
-  const onDialogHelp = () => {
-    window.open(url_for('help.static', { 'filename': 'cloud_deployment.html' }), 'pgadmin_help');
-  };
-
-  function createData(name, value) {
-    return { name, value };
-  }
-
-  let cloud = '';
-
-  switch (selectionVal) {
-  case 'rds':
-    cloud = 'Amazon RDS';
-    break;
-  case 'azure':
-    cloud = 'Azure PostgreSQL';
-    break;
-  case 'biganimal':
-    cloud = 'EDB Big Animal';
-    break;
-  }
-
-  const rows1 = [
-    createData('Cloud', cloud),
-    createData('Instance name', cloudInstanceDetails.aws_name),
-    createData('Public IP', cloudInstanceDetails.aws_public_ip),
-  ];
+  const authenticateBigAnimal = () => {
+    var loading_icon_url = url_for(
+      'static', { 'filename': 'img/loading.gif'}
+    );
 
-  const rows2 = [
-    createData('PostgreSQL version', cloudInstanceDetails.aws_db_version),
-    createData('Instance type', cloudInstanceDetails.aws_instance_type),
-  ];
+    setErrMsg([MESSAGE_TYPE.INFO, 'EDB BigAnimal authentication process is in progress...<img src="' + loading_icon_url + '" alt="' + gettext('Loading...') + '">']);
+    window.open(verificationURI, 'edb_biganimal_authentication');
+    let _url = url_for('biganimal.verification_ack') ;
+    const myInterval = setInterval(() => {
+      axiosApi.get(_url)
+        .then((res) => {
+          if (res.data && res.data.success == 1 ) {
+            setErrMsg([MESSAGE_TYPE.SUCCESS, 'Authentication completed successfully. Click the Next button to proceed.']);
+            setVerificationIntiated(true);
+            clearInterval(myInterval);
+          }
+          else if (res.data && res.data.success == 0 &&  res.data.errormsg == 'access_denied') {
+            setErrMsg([MESSAGE_TYPE.INFO, 'Verification failed. Access Denied...']);
+            setVerificationIntiated(false);
+            clearInterval(myInterval);
+          }
+          else if (res.data && res.data.success == 0 &&  res.data.errormsg == 'forbidden') {
+            setErrMsg([MESSAGE_TYPE.INFO, 'Authentication completed successfully but you do not have permission to create the cluster.']);
+            setVerificationIntiated(false);
+            clearInterval(myInterval);
+          }
+        })
+        .catch((error) => {
+          setErrMsg([MESSAGE_TYPE.ERROR, gettext(`Error while verification EDB BigAnimal: ${error.response.data.errormsg}`)]);
+        });
+    }, 1000);
 
-  let _storage_type = getStorageType(cloudInstanceDetails);
+  };
 
-  const rows3 = [
-    createData('Storage type', _storage_type[1]),
-    createData('Allocated storage', cloudInstanceDetails.aws_storage_size + ' GiB'),
-  ];
-  if (_storage_type[0] !== undefined) {
-    rows3.push(createData('Provisioned IOPS', _storage_type[0]));
-  }
 
-  const rows4 = [
-    createData('Database name', cloudDBDetails.aws_db_name),
-    createData('Username', cloudDBDetails.aws_db_username),
-    createData('Password', 'xxxxxxx'),
-    createData('Port',  cloudDBDetails.aws_db_port),
-  ];
+  const onDialogHelp = () => {
+    window.open(url_for('help.static', { 'filename': 'cloud_deployment.html' }), 'pgadmin_help');
+  };
 
   const onErrClose = React.useCallback(()=>{
     setErrMsg([]);
   });
 
-
-  const displayTableRows = (rows) => {
-    return rows.map((row) => (
-      <TableRow key={row.name} >
-        <TableCell scope="row">{row.name}</TableCell>
-        <TableCell align="right">{row.value}</TableCell>
-      </TableRow>
-    ));
-  };
-
   return (
     <>
       <Wizard
@@ -353,107 +267,81 @@ export default function CloudWizard({ nodeInfo, nodeData }) {
         beforeNext={onBeforeNext}>
         <WizardStep stepId={0}>
           <Box className={classes.messageBox}>
-            <Box className={classes.messagePadding}>{gettext('Deploy on Amazon RDS cloud.')}</Box>
+            <Box className={classes.messagePadding}>{gettext('Select any option to deploy on cloud.')}</Box>
           </Box>
           <Box className={classes.messageBox}>
-            <InputToggle
-              value='rds'
-              options={[{'label': gettext('Amazon RDS'), value: 'rds'}]}
-              className={classes.toggleButton}
-              onChange={(value) => {
-                setCloudSelection(value);}
-              }
-            >
-            </InputToggle>
+            <ToggleButtons cloudProvider={cloudProvider} setCloudProvider={setCloudProvider}
+              options={[{'label': 'Amazon RDS', value: 'rds'}, {'label': 'EDB BigAnimal', value: 'biganimal'}]}
+            ></ToggleButtons>
           </Box>
           <Box className={classes.messageBox}>
             <Box className={classes.messagePadding}>{gettext('More cloud providers are coming soon...')}</Box>
           </Box>
+          <FormFooterMessage type={errMsg[0]} message={errMsg[1]} onClose={onErrClose} />
         </WizardStep>
         <WizardStep stepId={1} >
-          {cloudDBCredInstance &&
-            <SchemaView
-              formType={'dialog'}
-              getInitData={() => { /*This is intentional (SonarQube)*/ }}
-              viewHelperProps={{ mode: 'create' }}
-              schema={cloudDBCredInstance}
-              showFooter={false}
-              isTabView={false}
-              onDataChange={(isChanged, changedData) => {
-                setCloudDBCred(changedData);
-              }}
-            />
-          }
+          <Box className={classes.buttonMarginEDB}>
+            {cloudProvider == 'biganimal' && <Box className={classes.messageBox}>
+              <Box>{gettext('The verification code to authenticate the pgAdmin to EDB BigAnimal is: ')} <strong>{verificationCode}</strong>
+                <br/>{gettext('By clicking the below button, you will be redirected to the EDB BigAnimal authentication page in a new tab.')}
+              </Box>
+            </Box>}
+            {cloudProvider == 'biganimal' && <PrimaryButton onClick={authenticateBigAnimal}>
+              {gettext('Click here to authenticate yourself to EDB BigAnimal')}
+            </PrimaryButton>}
+            {cloudProvider == 'biganimal' && <Box className={classes.messageBox}>
+              <Box ></Box>
+            </Box>}
+          </Box>
+          {cloudProvider == 'rds' && <AwsCredentials cloudProvider={cloudProvider} nodeInfo={nodeInfo} nodeData={nodeData} setCloudDBCred={setCloudDBCred}/>}
           <FormFooterMessage type={errMsg[0]} message={errMsg[1]} onClose={onErrClose} />
         </WizardStep>
         <WizardStep stepId={2} >
-          {cloudInstanceDetailsInstance &&
-            <SchemaView
-              formType={'dialog'}
-              getInitData={() => { /*This is intentional (SonarQube)*/ }}
-              viewHelperProps={{ mode: 'create' }}
-              schema={cloudInstanceDetailsInstance}
-              showFooter={false}
-              isTabView={false}
-              onDataChange={(isChanged, changedData) => {
-                setCloudInstanceDetails(changedData);
-              }}
-            />
-          }
+          {cloudProvider == 'rds' && callRDSAPI == 2 && <AwsInstanceDetails
+            cloudProvider={cloudProvider}
+            nodeInfo={nodeInfo}
+            nodeData={nodeData}
+            setCloudInstanceDetails={setCloudInstanceDetails}
+            hostIP={hostIP} /> }
+          {cloudProvider == 'biganimal' && callRDSAPI == 2 && <BigAnimalInstance
+            cloudProvider={cloudProvider}
+            nodeInfo={nodeInfo}
+            nodeData={nodeData}
+            setBigAnimalInstanceData={setBigAnimalInstanceData}
+            hostIP={hostIP}
+          /> }
         </WizardStep>
         <WizardStep stepId={3} >
-          {cloudDBInstance &&
-            <SchemaView
-              formType={'dialog'}
-              getInitData={() => { /*This is intentional (SonarQube)*/ }}
-              viewHelperProps={{ mode: 'create' }}
-              schema={cloudDBInstance}
-              showFooter={false}
-              isTabView={false}
-              onDataChange={(isChanged, changedData) => {
-                setCloudDBDetails(changedData);
-              }}
-            />
+          {cloudProvider == 'rds' && <AwsDatabaseDetails
+            cloudProvider={cloudProvider}
+            nodeInfo={nodeInfo}
+            nodeData={nodeData}
+            setCloudDBDetails={setCloudDBDetails}
+          />
+          }
+          {cloudProvider == 'biganimal' && callRDSAPI == 3 && <BigAnimalDatabase
+            cloudProvider={cloudProvider}
+            nodeInfo={nodeInfo}
+            nodeData={nodeData}
+            setBigAnimalDatabaseData={setBigAnimalDatabaseData}
+          />
           }
         </WizardStep>
         <WizardStep stepId={4} >
           <Box className={classes.boxText}>{gettext('Please review the details before creating the cloud instance.')}</Box>
           <Paper variant="outlined" elevation={0} className={classes.summaryContainer}>
-            <Table aria-label="simple table" className={clsx(tableClasses.table)}>
-              <TableBody>
-                {displayTableRows(rows1)}
-              </TableBody>
-            </Table>
-            <Table aria-label="simple table" className={clsx(tableClasses.table)}>
-              <TableHead>
-                <TableRow>
-                  <TableCell colSpan={2}>{gettext('Version and Instance Details')}</TableCell>
-                </TableRow>
-              </TableHead>
-              <TableBody>
-                {displayTableRows(rows2)}
-              </TableBody>
-            </Table>
-            <Table aria-label="simple table" className={clsx(tableClasses.table)}>
-              <TableHead>
-                <TableRow>
-                  <TableCell colSpan={2}>{gettext('Storage Details')}</TableCell>
-                </TableRow>
-              </TableHead>
-              <TableBody>
-                {displayTableRows(rows3)}
-              </TableBody>
-            </Table>
-            <Table aria-label="simple table" className={clsx(tableClasses.table)}>
-              <TableHead>
-                <TableRow>
-                  <TableCell colSpan={2}>{gettext('Database Details')}</TableCell>
-                </TableRow>
-              </TableHead>
-              <TableBody>
-                {displayTableRows(rows4)}
-              </TableBody>
-            </Table>
+            {cloudProvider == 'rds' && callRDSAPI == 4 && <FinalSummary
+              cloudProvider={cloudProvider}
+              instanceData={cloudInstanceDetails}
+              databaseData={cloudDBDetails}
+            />
+            }
+            {cloudProvider == 'biganimal' && callRDSAPI == 4 && <FinalSummary
+              cloudProvider={cloudProvider}
+              instanceData={bigAnimalInstanceData}
+              databaseData={bigAnimalDatabaseData}
+            />
+            }
           </Paper>
         </WizardStep>
       </Wizard>
